-- SQL Manager 2008 for SQL Server 3.4.0.7
-- ---------------------------------------
-- Host      : (LOCAL)\SQLEXPRESS
-- Database  : dbpam
-- Version   : Microsoft SQL Server  9.00.3042.00


--
-- Definition for table COTISATIONS : 
--

CREATE TABLE [dbo].[COTISATIONS] (
  [id] numeric(19, 0) IDENTITY(1, 1) NOT NULL,
  [VERSION] int NOT NULL,
  [CSGRDS] float NOT NULL,
  [CSGD] float NOT NULL,
  [SECU] float NOT NULL,
  [RETRAITE] float NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table EMPLOYES : 
--

CREATE TABLE [dbo].[EMPLOYES] (
  [id] numeric(19, 0) IDENTITY(1, 1) NOT NULL,
  [VERSION] int NOT NULL,
  [SS] varchar(15) COLLATE French_CI_AS NOT NULL,
  [NOM] varchar(30) COLLATE French_CI_AS NOT NULL,
  [PRENOM] varchar(20) COLLATE French_CI_AS NOT NULL,
  [ADRESSE] varchar(50) COLLATE French_CI_AS NOT NULL,
  [VILLE] varchar(30) COLLATE French_CI_AS NOT NULL,
  [CP] varchar(5) COLLATE French_CI_AS NOT NULL,
  [INDEMNITE_ID] numeric(19, 0) NOT NULL
)
ON [PRIMARY]
GO

--
-- Definition for table INDEMNITES : 
--

CREATE TABLE [dbo].[INDEMNITES] (
  [id] numeric(19, 0) IDENTITY(1, 1) NOT NULL,
  [VERSION] int NOT NULL,
  [INDICE] int NOT NULL,
  [BASE_HEURE] float NOT NULL,
  [ENTRETIEN_JOUR] float NOT NULL,
  [REPAS_JOUR] float NOT NULL,
  [INDEMNITES_CP] float NOT NULL
)
ON [PRIMARY]
GO

--
-- Data for table dbo.COTISATIONS  (LIMIT 0,500)
--

SET IDENTITY_INSERT [dbo].[COTISATIONS] ON
GO

INSERT INTO [dbo].[COTISATIONS] ([id], [VERSION], [CSGRDS], [CSGD], [SECU], [RETRAITE])
VALUES 
  (10, 1, 3.49, 6.15, 9.39, 7.88)
GO

SET IDENTITY_INSERT [dbo].[COTISATIONS] OFF
GO

--
-- Data for table dbo.EMPLOYES  (LIMIT 0,500)
--

SET IDENTITY_INSERT [dbo].[EMPLOYES] ON
GO

INSERT INTO [dbo].[EMPLOYES] ([id], [VERSION], [SS], [NOM], [PRENOM], [ADRESSE], [VILLE], [CP], [INDEMNITE_ID])
VALUES 
  (19, 1, N'254104940426058', N'Jouveinal', N'Marie', N'5 rue des oiseaux', N'St Corentin', N'49203', 40)
GO

INSERT INTO [dbo].[EMPLOYES] ([id], [VERSION], [SS], [NOM], [PRENOM], [ADRESSE], [VILLE], [CP], [INDEMNITE_ID])
VALUES 
  (20, 1, N'260124402111742', N'Laverti', N'Justine', N'La Brlerie', N'St Marcel', N'49014', 39)
GO

SET IDENTITY_INSERT [dbo].[EMPLOYES] OFF
GO

--
-- Data for table dbo.INDEMNITES  (LIMIT 0,500)
--

SET IDENTITY_INSERT [dbo].[INDEMNITES] ON
GO

INSERT INTO [dbo].[INDEMNITES] ([id], [VERSION], [INDICE], [BASE_HEURE], [ENTRETIEN_JOUR], [REPAS_JOUR], [INDEMNITES_CP])
VALUES 
  (39, 1, 1, 1.93, 2, 3, 12)
GO

INSERT INTO [dbo].[INDEMNITES] ([id], [VERSION], [INDICE], [BASE_HEURE], [ENTRETIEN_JOUR], [REPAS_JOUR], [INDEMNITES_CP])
VALUES 
  (40, 1, 2, 2.1, 2.1, 3.1, 15)
GO

SET IDENTITY_INSERT [dbo].[INDEMNITES] OFF
GO

--
-- Definition for indices : 
--

ALTER TABLE [dbo].[COTISATIONS]
ADD PRIMARY KEY CLUSTERED ([id])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[EMPLOYES]
ADD PRIMARY KEY CLUSTERED ([id])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[EMPLOYES]
ADD UNIQUE NONCLUSTERED ([SS])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[INDEMNITES]
ADD PRIMARY KEY CLUSTERED ([id])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

ALTER TABLE [dbo].[INDEMNITES]
ADD UNIQUE NONCLUSTERED ([INDICE])
WITH (
  PAD_INDEX = OFF,
  IGNORE_DUP_KEY = OFF,
  STATISTICS_NORECOMPUTE = OFF,
  ALLOW_ROW_LOCKS = ON,
  ALLOW_PAGE_LOCKS = ON)
ON [PRIMARY]
GO

--
-- Definition for foreign keys : 
--

ALTER TABLE [dbo].[EMPLOYES]
ADD CONSTRAINT [FK75C8D6BC73F24A67] FOREIGN KEY ([INDEMNITE_ID]) 
  REFERENCES [dbo].[INDEMNITES] ([id]) 
  ON UPDATE NO ACTION
  ON DELETE NO ACTION
GO

